Es muy sabido por todos que Linux (Para mi Ubuntu) es lo mejor en cuanto a SO se refiere, sin embargo muchas empresas no dan su apoyo completamente y no queda otro remedio mas que ingeniárselas y buscar como instalar ciertos juegos o programas, tal es el caso del famoso WoW, el cual no tiene soporte para Ubuntu por lo cual es necesario ocupar otro programa para instalarlo, este es el caso de WINE.

1.- ¿Que necesito para instalar WoW en Ubuntu?
para poder instalar este gran juego es necesario instalar wine y tener instalada y/o actualizada tu tarjeta grafica.

2.- ¿Como puedo saber si esta instalada o no?
En Terminal vamos a introducir:

glxinfo | grep direct


Donde nos tiene que aparecer direct rendering: Yes

En caso de no aparecer esto, tenemos que instalar los drivers de nuestra tarjeta de video, para esto debemos ir a la pagina de nuestra tarjeta (ATI, Nvidia... etc)

3.- Mi tarjeta es ATI/Nvidia pero no se cuales son los drivers para ella, ¿que puedo hacer?
Afortunadamente para los propietarios de estas tarjetas hay un pequeño pero potente programa que te detecta y actualiza los drivers de tu ATI o Nvidia llamado ENVYNG para poder descargarlo e instalarlo solo vamos al Centro de software de Ubuntu y lo descargamos.

Una vez instalado simplemente lo ejecutamos, seguimos unas pequeñas instrucciones tan sencillas como el de especificar si tu tarjeta es una NVIDIA o ATI.

Lamentablemente no hay un programa que detecte todas las tarjetas, si tienes otra diferente es recomendable visitar la pagina del fabricante o "googlear"

4.- Ya tengo instalada correctamente mi tarjeta, ¿que sigue?
Introducimos el siguiente código en Terminal

wget -q http://wine.budgetdedicated.com/apt/387EE263.gpg -O- | sudo apt-key add -


Les pedirá su pass y después aparecerá un OK

El siguiente paso es instalar WINE, pero para ello necesitamos instalar la versión mas reciente, puede ser la 1.1.3.3 aunque es una beta, puede ser recomendable instalar una anterior pero q no sea tan vieja.

Para descargar la que mejor se ajuste a nuestras necesidades la descargamos desde su pagina en:

http://www.winehq.org/


El siguiente paso es instalar wine1.2-gecko el cual podremos descargar desde el Gestor de paquetes Synaptic, este programa nos sera muy util ya que nos lo pedirá al instalar WoW, si no lo descargamos no hay problema ya que automáticamente nos lo pedirá y descargara, sin embargo suele tener muchos errores así que mas vale prevenir q reiniciar.

5.- Muy bien, ya tengo los dos paquetes instalados, ¿que debo hacer ahora?
con esto iniciamos la instalación de nuestro juego, simplemente damos clic derecho sobre el ".exe" e iniciamos, una vez terminado procedemos a instalar los parches, en mi caso estoy usando el ultimo parche (3.2.2a), simplemente damos clic de la misma forma que instalamos el juego y actualizamos.

6.- Listo esta el juego actualizado pero se ve muy mal o no abre el juego ¿Que esta pasando?
Blizzard utiliza el grandioso DirectX, sin embargo hay dos formas de jugar WoW, la primera es instalando el DirectX mediante wine (q flojera) y la segunda es mediante OpenGL, para lo cual debemos seguir la siguiente ruta:

Aplicaciones > wine > Browse C:/ Drive


Nos vamos a Archivos de programa > World of Warcraft > WTF y ahi buscamos y si no esta lo creamos, un archivo que se llama(ra) Config.wtf lo abrimos y ponemos:


SET gxApi "opengl"
SET ffxDeath "0"
SET ffxGlow "0"


Con esto mejoraremos el rendimiento, evitar gráficos erróneos experimentas un rendimiento pobre, o por si el juego no funciona del todo bien

Si por alguna razon tampoco tienes sonido (Y en tu equipo si) entonces solo debes introducir en ese mismo archivo la siguiente linea:

SET SoundOutputSystem "1" SET SoundBufferSize "150"


y con eso debe funcionar a la perfeccion.

= = = = PARCHE 3.3 = = = =


Despues de instalar el nuevo parche 3.3, la pantalla de login muestra un error al entrar los datos haciendo referencia a una linea de codigo erronea.

Para solucionar dicho problema, habrá que editar un el archivo Microsoft.VC80.CRT.manifest que está en la carpeta principal del juego. Habrá que localizar la siguiente linea:

<assemblyIdentity type="win32" name="Microsoft.VC80.CRT" version="8.0.50727.4053"

y modificar la version cambiando las ultimas 4 cifras por 762. Deberia quedar así:

<assemblyIdentity type="win32" name="Microsoft.VC80.CRT" version="8.0.50727.762"

Despues simplemente volvemos a probar y debe funcionar.

Si aun esta el problema, es posible que deba instalarse el VCRUN 2005 SP1 de microsoft. el cual se encuentra en la siguiente pagina http://www.microsoft.com/downloads/en/confirmation.aspx?familyId=200b2fd9-ae1a-4a14-984d-389c36f85647&displayLang=en. Se descarga el archivo y se ejecuta con Wine.


= = = = CATACLYSM = = = =


La nueva expansion salio hace unos meses, sin embargo para todos aquellos q quieran disfrutar de Cataclysm en Ubuntu dejo el siguiente link q es otro post q hice donde se explica como hacerlo. Cabe mencionar que compre la version digital (Y no he encontrado el ISO de Cataclysm para la version americana), por lo cual el post es basado en el Lanzador.


http://www.taringa.net/posts/linux/10401256/Instalacion-de-Cataclysm-desde-el-lanzador-_NO-DVD_.html


Espero les sea util.

Saludos